<?xml version="1.0" encoding="utf-8" ?>
<hibernate-mapping xmlns="urn:nhibernate-mapping-2.2" assembly="Domain" namespace="Domain">
  <class name="SysHotel" table="tb_Sys_Hotels">
    <id name="ID" column="ID" type="int" unsaved-value="0">
      <generator class="native" />
    </id>
    <property name="Code" column="Code" type="string"  />
    <property name="Name" column="Name" type="string"  />
    <property name="EName" column="EName" type="string"  />
    <property name="TWName" column="TWName" type="string"  />
    <property name="Contact" column="Contact" type="string"  />
    <property name="Phone" column="Phone" type="string"  />
    <property name="Address" column="Address" type="string"  />
    <property name="Sort" column="Sort" type="int"  />
    <property name="Remark" column="Remark" type="string"  />
    <property name="ParentID" column="ParentID" type="int"  />
    <property name="ActiveIndicator" column="ActiveIndicator" type="bool"  />
    <property name="CreatedBy" column="CreatedBy" type="string"  />
    <property name="CreatedDate" column="CreatedDate" type="DateTime"  />
    <property name="ModifiedBy" column="ModifiedBy" type="string"  />
    <property name="ModifiedDate" column="ModifiedDate" type="DateTime"  />
    <property name="WXValidate" column="WXValidate" type="string"  />
    <property name="LogoPath" column="LogoPath" type="string"  />
    <property name="Styles" column="Styles" type="string"  />
    <property name="AssociatedAccount" column="AssociatedAccount" type="string"  />
    <property name="IsAutoGetKey" column="IsAutoGetKey" type="bool" />
    <property name="WelcomeSpeech" column="WelcomeSpeech" type="string"  />
    <property name="WelcomeBGM" column="WelcomeBGM" type="string"  />
    <property name="GoodbyeSpeech" column="GoodbyeSpeech" type="string"  />
    <property name="DomainUrl" column="DomainUrl" type="string"  />
    <property name="ValidateDate" column="ValidateDate" type="DateTime"  />
    <property name="TVControlUrl" column="TVControlUrl" type="string"  />
    <property name="TVControlToken" column="TVControlToken" type="string"  />
    <property name="IsSyncPMS" column="IsSyncPMS" type="bool" />
    <property name="DeviceStatusPushURL" column="DeviceStatusPushURL" type="string" />
    <property name="FaultPushURL" column="FaultPushURL" type="string" />
    <many-to-one name="SysHotelGroup" column="SysHotelGroupID" not-found="ignore" cascade="none" />
    <property name="ProvinceCode" column="ProvinceCode" type="string" length="12"  />
    <property name="CityCode" column="CityCode" type="string" length="12"  />
    <property name="CountyCode" column="CountyCode" type="string" length="12"  />
    <property name="Status" column="Status" type="int"  />
    <property name="IsApprove" column="IsApprove" type="bool" />
    <property name="Last_Modified_Time" column="Last_Modified_Time" type="DateTime"  />
    <property name="IsVoincePowerOn" column="IsVoincePowerOn" type="bool" />
    <property name="IsPowerOffResetXiaoDu" column="IsPowerOffResetXiaoDu" type="bool" />
    <property name="IsDeleted" column="IsDeleted" type="bool" />
    <property name="StartDayTime" column="StartDayTime" type="int"  />
    <property name="EndDayTime" column="EndDayTime" type="int"  />
    <property name="FCSPushEnable" column="FCSPushEnable" type="bool"  />
    <property name="IsNewVersionProtocol" column="IsNewVersionProtocol" type="bool"  />

    <property name="FCS_PropertyID" column="FCS_PropertyID" type="string"  />
    <property name="FCSLoginUrl" column="FCSLoginUrl" type="string"  />
    <property name="FCSLoginUserName" column="FCSLoginUserName" type="string"  />
    <property name="FCSLoginPassWord" column="FCSLoginPassWord" type="string"  />

    <property name="FCS_Carbon_UUID" column="FCS_Carbon_UUID" type="string"  />
    <property name="FCS_SOS_UUID" column="FCS_SOS_UUID" type="string"  />
    <property name="FCS_TouSu_UUID" column="FCS_TouSu_UUID" type="string"  />
    <property name="FCS_Clean_UUID" column="FCS_Clean_UUID" type="string"  />
    <property name="FCS_TiSongWuPin" column="FCS_TiSongWuPin" type="string"  />
    <property name="FCS_RCU_Device_Offline" column="FCS_RCU_Device_Offline" type="string"  />
    <property name="FCS_RCU_Offline" column="FCS_RCU_Offline" type="string"  />
    <property name="FCS_RCU_Online" column="FCS_RCU_Online" type="string"  />
    <property name="FCS_MenCi_Close" column="FCS_MenCi_Close" type="string"  />
    <property name="FCS_MenCi_Open" column="FCS_MenCi_Open" type="string"  />
    
    
    <property name="IsUseSkyworthTV" column="IsUseSkyworthTV" type="bool"  />
    <property name="IsUseTCLTV" column="IsUseTCLTV" type="bool"  />
    <property name="TouSuResponseData" column="TouSuResponseData" type="string"  />
    <property name="SkyworthTVauthCode" column="SkyworthTVauthCode" type="string"  />
    <property name="IsUseQianLiMa" column="IsUseQianLiMa" type="bool"  />
    <property name="IsPushPMSData" column="IsPushPMSData" type="bool"  />
    <property name="HeTongNumber" column="HeTongNumber" type="string"  />
    <property name="ETV_HotelID" column="ETV_HotelID" type="string"  />
    <property name="SwitchRoomStatus_PowerOff2" column="SwitchRoomStatus_PowerOff2" type="int"/>
    <property name="SwitchRoomStatus_PowerOff4" column="SwitchRoomStatus_PowerOff4" type="int"/>
    <property name="SwitchRoomStatus_PowerOff8" column="SwitchRoomStatus_PowerOff8" type="int"/>
    <property name="SwitchRoomStatus_PowerOff16" column="SwitchRoomStatus_PowerOff16" type="int"/>
    <!--<property name="TCLAppId" column="TCLAppId" type="string"  />
    <property name="TCLAppSecret" column="TCLAppSecret" type="string"  />-->
  </class>
</hibernate-mapping>